compact3
javax.management

## Class JMRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.management.JMRuntimeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MonitorSettingException, RuntimeErrorException, RuntimeMBeanException, RuntimeOperationsException

      public class JMRuntimeException
      extends RuntimeException

  Runtime exceptions emitted by JMX implementations.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JMRuntimeException()` | Default constructor.
    `JMRuntimeException(String message)` | Constructor that allows a specific error message to be specified.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JMRuntimeException

          public JMRuntimeException()

      Default constructor.

    - #### JMRuntimeException

          public JMRuntimeException(String message)

      Constructor that allows a specific error message to be specified.
      Parameters:
        `message` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.